%define upstream_name    Git-Repository-Plugin-Blame
%define upstream_version v1.4.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Cache the output of C<< Git::Repository->blame() >>
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Git/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Load)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Data::Validate::Type)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Git::Repository)
BuildRequires: perl(Git::Repository::Plugin::Log)
BuildRequires: perl(Perl6::Slurp)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::FailWarnings)
BuildRequires: perl(Test::Git)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires::Git)
BuildRequires: perl(Test::Type)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
This module adds a new 'blame()' method to the Git::Repository manpage,
which can be used to determine what the last change for each line in a file
is.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.4.0-5.mga10
+ Revision: 2203969
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.4.0-4.mga9
+ Revision: 1809388
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.4.0-3.mga8
+ Revision: 1504571
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.4.0-2.mga7
+ Revision: 1283940
- Mageia 7 Mass Rebuild

* Mon Jul 31 2017 sander85 <sander85> 1.4.0-1.mga7
+ Revision: 1133003
- update to v1.4.0

* Sun Jun 19 2016 pterjan <pterjan> 1.3.0-2.mga6
+ Revision: 1027939
- Rebuild for perl 5.22.2

* Wed Apr 20 2016 shlomif <shlomif> 1.3.0-1.mga6
+ Revision: 1003830
- make_install
- Importing from cpan2dist


* Wed Apr 20 2016 cpan2dist v1.3.0-1mga
- initial mageia release, generated with cpan2dist
